import lancs.mobilemedia.core.ui.datamodel.MediaData;

class MediaUtil {
	private MediaData createMediaData(String iiString, String fidString,
			String albumLabel, String imageLabel) {
		int startIndex;

		startIndex = endIndex + 1;
		endIndex = iiString.indexOf(DELIMITER, startIndex);

		if (endIndex == -1)
			endIndex = iiString.length();

		int numberOfViews = 0;
		try {
			numberOfViews = Integer.parseInt(iiString.substring(startIndex,
					endIndex));
		} catch (RuntimeException e) {
			numberOfViews = 0;
			e.printStackTrace();
		}

		MediaData ii = original(iiString, fidString, albumLabel, imageLabel);

		ii.setNumberOfViews(0);
		return ii;
	}

	private String createByteString(MediaData ii) {
		String byteString = original(ii);

		byteString = byteString.concat(DELIMITER);
		byteString = byteString.concat("" + ii.getNumberOfViews());
		return byteString;
	}

}